# Localization file for BGSketchup_Comments plugin

module BGSketchup_Comments_Localization
	module Comments_Localization
		def initialise_localization_BGSketchupComments
			@availableLanguages=["en","fr","pt","es"]
			@availableLanguagesName=["English","Français","Português","Espanhol"]
			@option_langue="en" if @availableLanguages.index(@option_langue)==nil	
			
			if @option_langue=="en" then
				@strWindowName="Comments"
				@strButtonsTitles=["Add current date and time", "Options", "About"]
				@strButtonsTexts=["Save","Cancel"]
				@strAbout="About"
				@strTexts=["Language", 
					"Auto-open window if comments exist",
					"Auto-open window even if comment doesn't exist",
					"Show bottom of the text area at launch"]
					
			elsif @option_langue=="fr" then
				@strWindowName="Commentaires"
				@strButtonsTitles=["Ajouter la date et l'heure actuelle", "Options", "A propos"]
				@strButtonsTexts=["Enregistrer","Annuler"]
				@strAbout="A propos"
				@strTexts=["Langue", 
					"Ouvrir automatiquement si un commentaire existe",
					"Ouvrir automatiquement même si un commentaire n'existe pas",
					"Montrer la fin du texte à l'ouverture"]
				
			elsif @option_langue=="es" then
				@strWindowName="Comentarios"
				@strButtonsTitles=["Añadir fecha y hora actuales", "Options", "Acerca de"]
				@strButtonsTexts=["Guardar","Cancelar"]
				@strAbout="Acerca de"
				@strTexts=["Idioma", 
					"Auto-abrir la ventana si existen comentarios",
					"Auto-abrir la ventana incluso si no existe comentario",
					"Mostrar parte inferior del área de texto en el lanzamiento"]
					
			elsif @option_langue=="pt" then
				@strWindowName="Comentários"
				@strButtonsTitles=["Adicionar data e hora atual", "Options", "Sobre"]
				@strButtonsTexts=["Salvar","Cancelar"]
				@strAbout="Sobre"
				@strTexts=["Língua", 
					"Auto-janela aberta, se existem comentários",
					"Auto-janela aberta, mesmo que comentário não existe",
					"Mostrar parte inferior da área de texto no lançamento"]
			
			elsif @option_langue=="de" then
				@strWindowName="Kommentare"
				@strButtonsTitles=["Aktuelle Zeit und Datum hinzufügen", "Optionen", "Über"]
				@strButtonsTexts=["Speichern","Abbrechen"]
				@strAbout="Über"
				@strTexts=["Sprache", 
					"Automatisch Fenster öffnen, wenn Kommentare vorhanden sind",
					"Automtisch Fenster öffnen, auch wenn keine Kommentare vorhanden sind",
					"Beim Start zum Textende springen"]
			
			end
		end
	end# Comments_Localization
	extend Comments_Localization
	def self.included( other )
		other.extend( Comments_Localization )
	end
end