# Plugins "Comments" cr par BG

# Affiche une fentre avec une zone de texte pour enregistrer des commentaires, l'historique de vos modifications, etc, du fichier
# Le texte est enregistr dans le fichier SKP

#Required libraries
	require "sketchup.rb"
	require "extensions.rb"
#Extension data
	BGSketchup_Comments_extension = SketchupExtension.new "Comments (BGSketchup)", "BGSketchup/Comments/Rb/Comments"
    BGSketchup_Comments_extension.version = 'v1.2.0'
	BGSketchup_Comments_extension.copyright = 'BGSketchup, March 2014'
	BGSketchup_Comments_extension.creator = 'BGSketchup (Inteloide)'
    BGSketchup_Comments_extension.description = "Add comments to a file"
    Sketchup.register_extension BGSketchup_Comments_extension, true
	
=begin

BUGS/MISSING FEATURES :
- Delete tab

Version history:
	1.2.1:	Corrected : Avoid error when deleting tab placed before current tab	

	1.2.0:	Added :		Added possibility to have different tabs
			Optimzed :	Change toolbar name to "Comments (BGSketchup)"
			Optimzed :	Avoid filling "undo" stack with comments saving operation.

	1.1.1:	Optimized :	Change extension name
	
	1.1.0:	Added : 	Link to the forum page
			Added :		German translation (thanks to Aerilius)
			Corrected :	Change windows HTML link to relative, in case plugin is not in standard folder. (Thx Aerilius)
			Corrected :	Add code to prevent error when using special characters.
			Corrected :	Improved saving system, in order to prevent from text modification lose when closing the skp file
			Optimized : Change some code to have plugin more stable. (Thx Aerilius)
			Optimized :	Use of user default backcolor window instead of white. (Thx Aerilius)

	1.0.0:	First Official Release in SketchUcation
	
	1:		First release (31/12/2012), only published on http://rhin.crai.archi.fr/rld/plugin_details.php?id=1031 as "History"
=end